!Program to build the dipole moments trajectory for entire system from 
! reduced system 

program di
 implicit none 

  character(len=300) :: file1,filewatindex
  integer ::  nframe,i,nmol_wat,j,frame,k,real_nmol_wat

  real(kind=8),allocatable :: dipmol(:,:),dipind(:,:) 
  real(kind=8) :: mol(4),ind(4) 

  integer,allocatable :: molid(:) 
 

 nframe=10000 
 real_nmol_wat=972 
 nmol_wat=500

  call getarg(1,file1)
  open(unit=10,file=file1,action='read')

  read(10,*) real_nmol_wat
  read(10,*) nmol_wat
  read(10,*) nframe
  read(10,*) filewatindex

 allocate(molid(nmol_wat))


 allocate(dipmol(nmol_wat,4),dipind(nmol_wat,4))

  open(unit=1,file='DIPMOL.01',action='read')
  open(unit=2,file='DIPIND.01',action='read')

  open(unit=3,file=filewatindex,action='read')


  open(unit=100,file='DIPMOL_CMD',action='write')
  open(unit=101,file='DIPIND_CMD',action='write')



 do i=1,nframe
 
    read(3,*) 
    do j=1,nmol_wat

       read(1,*) frame,dipmol(j,:)
       read(2,*) frame,dipind(j,:)
       read(3,*) molid(j) 
    
    enddo



    do j=1,real_nmol_wat

     
       do k=1,nmol_wat

          if(j==molid(k)) then 

              mol=dipmol(k,:)
              ind=dipind(k,:)

              goto 1000

          endif 
       enddo

        mol=0.d0 ; ind=0.d0 

       1000 continue 

        write(100,'(i5,4f20.12)') j,mol
        write(101,'(i5,4f20.12)') j,ind

    enddo     

 enddo
  

 

end 
