#ifndef QTIP4PF_H
#define QTIP4PF_H

//#include <mpi.h>
#include <cstddef>

namespace h2o {

struct qtip4pf {

    qtip4pf();
    ~qtip4pf();

    const char* name() const
    {
        return "q-TIP4P/F";
    }

    void operator()(size_t nw, const double*, double*); // O H H O H H

private:
    size_t  m_nw;
    double* m_mem;

    void allocate(size_t);

private:
    bool m_dip_ready;
    bool calc_mon;
};

} // namespace h2o

#endif // QTIP4PF_H
