#ifndef READ_BIN_H
#define READ_BIN_H

#include <vector>
#include <string>
#include <iostream>

#include "macros.h"

#include "struct-frame.h"

namespace opt {

void read_bin_frame(std::istream&, opt::hist_frame&);

// returns number of frames loaded
size_t read_bin(const char*, std::vector<hist_frame>&);

void print_atom(std::ostream&, const char*);
void print_hist_frame(std::ostream&, opt::hist_frame&);

} // namespace opt

#endif // READ_BIN_H
