#!/bin/bash
#PBS -q glean
#PBS -N dipole_pol_fitting_compile
#PBS -l nodes=1:ppn=16
#PBS -l walltime=02:30:00
#PBS -o STDOUT
#PBS -e STDERR
#PBS -V
##PBS -M sstraigh@ucsd.edu 
#PBS -m abe
cd $PBS_O_WORKDIR

module load gsl

./autogen.sh

./configure CPPFLAGS='-I/opt/gsl/intel/include' LDFLAGS='-L/opt/gsl/intel/lib' CXX=mpicxx CC=mpicc --enable-maintainer-mode --disable-silent-rules PKG_CONFIG_PATH=/usr/local/lib/pkgconfig CFLAGS='-g -fopenmp -O1 -Wall -Werror -std=c99' CXXFLAGS='-g -fopenmp -O1 -Wall -Werror'

`./config.status`

make -j8
