#ifndef INTERPOLATION_H
#define INTERPOLATION_H

namespace tools {

    double lagrange_interpolation(const size_t&, const double*, 
				  const double*, const double&);

    double cubic_spline(const size_t, const double*, const double*, double);

    void ThomasTriDiag_efg(const size_t, double*, double*,
			   const double*, double*, double*);

} // namespace tools

#endif // INTERPOLATION_H
