#ifndef READ_SCAN_H
#define READ_SCAN_H

#include <vector>
#include <iostream>
#include <string>

#include "struct-scan.h"

namespace tools {

void read_single_scan(size_t&, std::istream&, tools::scan_frame&, 
		      bool check_curve = true);

// returns number of frames loaded
size_t read_scans(const char*, std::vector<scan_frame>&, 
		  bool check_curve = true);

bool check_for_multiple_minima(scan_frame&);

} // namespace tools

#endif // READ_SCAN_H
