#include <cmath>

#include <iostream>

#include "ltp2011.h"

int main(int argc, char** argv)
{

    h2o::ltp2011 dip_model;

    double water_molec[9] = {-1.491461,     -0.191842,      1.428335,
	                     -0.630489,     -0.591334,      1.564042,
			     -1.986699,     -0.427190,      2.214867};

    std::cout << "Expected output: \n"
	      << "0.576282    -1.00031    1.45316" << std::endl;

    double mu[3];
    dip_model.cartesian(1, water_molec, mu);

    std::cout << "Calculated values:\n";
    for(size_t i = 0; i < 3; ++i)
	std:: cout << mu[i] << "    ";
    std::cout << std::endl;

}
