#ifdef HAVE_CONFIG_H
#  include "config.h"
#endif // HAVE_CONFIG_H

#include <cmath>
#include <cassert>
#include <cstdlib>

#include <fstream>
#include <sstream>
#include <string>
#include <iomanip>
#include <iostream>

#include "mat_tools.h"

////////////////////////////////////////////////////////////////////////////////

int main(int argc, char** argv)
{

    double A[] = {1.1, 1.2, 1.3, 1.4,
	          1.2, 2.2, 2.3, 2.4,
		  1.3, 2.3, 3.3, 3.4,
		  1.4, 2.4, 3.4, 4.4};
    double B[] = {1.1, 1.2, 1.3, 1.4,
	          1.2, 2.2, 2.3, 2.4,
		  1.3, 2.3, 3.3, 3.4,
		  1.4, 2.4, 3.4, 4.4};
    double C[] = {1, 2, 3,
	          2, 2, 3,
		  3, 3, 3,
		  4, 4, 4};
    double D[] = {1, 2, 
	          2, 2, 
		  3, 3};

    double E[4*2];

//    tools::mat_mult(4,C,3,D,2,E);
//    tools::print_m_by_n(4,2,E);
//    exit(1);

    double U[4*4];
    tools::make_eye(4,4,U);

    tools::print_m_by_n(4,4,A);
    tools::invert(4,A);
    tools::mat_mult(4,A,4,B,4,U);
//    tools::make_hessenberg(4,A,U);
    std::cout << std::endl;
    tools::print_m_by_n(4,4,A);
    std::cout << std::endl;
    tools::print_m_by_n(4,4,U);
//    tools::qr_gram_schmidt(4,A,Q,R);
   // tools::print_m_by_n(4,4,A);
//    tools::eigen(4,A,U,50, 1e-6);
//
//    std::cout << "\nTransformation Matrix: " << std::endl;
//    tools::print_m_by_n(4,4,U);
//    std::cout << "\n";
//    double Ut[4*4];
//    double tmpA[4*4];
//    double mout[4*4];
//    tools::transpose(4,4,U,Ut);
//    tools::mat_mult(4,4,U,A,tmpA);
//    tools::mat_mult(4,4,tmpA,Ut,mout);
//    std::cout << "\nOriginal matrix?: " << std::endl;
//    tools::print_m_by_n(4,4,mout);


}

